ZenLib

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ZenLib::CriticalSection Class Reference

CriticalSection manipulation. More...

`#include <CriticalSection.h>`

## Public Member Functions
| CriticalSection ()
| ~CriticalSection ()
void | Enter ()
void | Leave ()

## Detailed Description

CriticalSection manipulation.

## Constructor & Destructor Documentation

ZenLib::CriticalSection::CriticalSection | ( |  | ) |

ZenLib::CriticalSection::~CriticalSection | ( |  | ) |

## Member Function Documentation

void ZenLib::CriticalSection::Enter | ( |  | ) |

Referenced by ZenLib::CriticalSectionLocker::CriticalSectionLocker().

void ZenLib::CriticalSection::Leave | ( |  | ) |

Referenced by ZenLib::CriticalSectionLocker::~CriticalSectionLocker().

The documentation for this class was generated from the following file:

- CriticalSection.h